Upgrading Turnkey Redmine from 1.4.4 to 2.6.0

Added by Dominik Sudol about 4 years ago

Hello,

I am currently trying to upgrade my Turnkeys Redmine to the newest version so I can make use of the new features
but I am stuck and I'm not sure how to install it.
Do I have to upgrade ruby (currently using v1.8.7) and rails?

I was trying to upgrade ruby and rails but I have problem with the proxy, it somehow cannot connect to the rubygems.org website and therefore I cannot upgrade it.
My knowledge about ruby/RoR and Linux is not as good and therefore I am very unsure how to upgrade the version safely.

Please help me out, I'd appreciate it a lot!

Greets

Replies (2)

RE: Upgrading Turnkey Redmine from 1.4.4 to 2.6.0 - Added by Jan Niggemann (redmine.org team member) almost 4 years ago

Ruby MRI 1.8.7 support has reached its EOL and its use is discouraged. We no longer support it in the current trunk version, the 2.6 branch will probably be the last to support 1.8.7...
You really should upgrade, see #14371.

I never used turnkey, perhaps something is to be found in their forums?

RE: Upgrading Turnkey Redmine from 1.4.4 to 2.6.0 - Added by Dominik Sudol almost 4 years ago

No worries, I've found the solution and upgraded the redmine on turnkey successfully. Will write a short documentary on how to do it.

(1-2/2)